gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.StackPage

Contents

- Exported types
- Methods
  - getChild
  - getIconName
  - getName
  - getNeedsAttention
  - getTitle
  - getUseUnderline
  - getVisible
  - setIconName
  - setName
  - setNeedsAttention
  - setTitle
  - setUseUnderline
  - setVisible
- Properties
  - child
  - iconName
  - name
  - needsAttention
  - title
  - useUnderline
  - visible

Description

An auxiliary class used by `GtkStack`.

Synopsis

- newtype StackPage = StackPage (ManagedPtr StackPage)
- class (GObject o, IsDescendantOf StackPage o) => IsStackPage o
- toStackPage :: (MonadIO m, IsStackPage o) => o -> m StackPage
- stackPageGetChild :: (HasCallStack, MonadIO m, IsStackPage a) => a -> m Widget
- stackPageGetIconName :: (HasCallStack, MonadIO m, IsStackPage a) => a -> m (Maybe Text)
- stackPageGetName :: (HasCallStack, MonadIO m, IsStackPage a) => a -> m (Maybe Text)
- stackPageGetNeedsAttention :: (HasCallStack, MonadIO m, IsStackPage a) => a -> m Bool
- stackPageGetTitle :: (HasCallStack, MonadIO m, IsStackPage a) => a -> m (Maybe Text)
- stackPageGetUseUnderline :: (HasCallStack, MonadIO m, IsStackPage a) => a -> m Bool
- stackPageGetVisible :: (HasCallStack, MonadIO m, IsStackPage a) => a -> m Bool
- stackPageSetIconName :: (HasCallStack, MonadIO m, IsStackPage a) => a -> Text -> m ()
- stackPageSetName :: (HasCallStack, MonadIO m, IsStackPage a) => a -> Text -> m ()
- stackPageSetNeedsAttention :: (HasCallStack, MonadIO m, IsStackPage a) => a -> Bool -> m ()
- stackPageSetTitle :: (HasCallStack, MonadIO m, IsStackPage a) => a -> Text -> m ()
- stackPageSetUseUnderline :: (HasCallStack, MonadIO m, IsStackPage a) => a -> Bool -> m ()
- stackPageSetVisible :: (HasCallStack, MonadIO m, IsStackPage a) => a -> Bool -> m ()
- constructStackPageChild :: (IsStackPage o, MonadIO m, IsWidget a) => a -> m (GValueConstruct o)
- getStackPageChild :: (MonadIO m, IsStackPage o) => o -> m Widget
- constructStackPageIconName :: (IsStackPage o, MonadIO m) => Text -> m (GValueConstruct o)
- getStackPageIconName :: (MonadIO m, IsStackPage o) => o -> m (Maybe Text)
- setStackPageIconName :: (MonadIO m, IsStackPage o) => o -> Text -> m ()
- constructStackPageName :: (IsStackPage o, MonadIO m) => Text -> m (GValueConstruct o)
- getStackPageName :: (MonadIO m, IsStackPage o) => o -> m (Maybe Text)
- setStackPageName :: (MonadIO m, IsStackPage o) => o -> Text -> m ()
- constructStackPageNeedsAttention :: (IsStackPage o, MonadIO m) => Bool -> m (GValueConstruct o)
- getStackPageNeedsAttention :: (MonadIO m, IsStackPage o) => o -> m Bool
- setStackPageNeedsAttention :: (MonadIO m, IsStackPage o) => o -> Bool -> m ()
- constructStackPageTitle :: (IsStackPage o, MonadIO m) => Text -> m (GValueConstruct o)
- getStackPageTitle :: (MonadIO m, IsStackPage o) => o -> m (Maybe Text)
- setStackPageTitle :: (MonadIO m, IsStackPage o) => o -> Text -> m ()
- constructStackPageUseUnderline :: (IsStackPage o, MonadIO m) => Bool -> m (GValueConstruct o)
- getStackPageUseUnderline :: (MonadIO m, IsStackPage o) => o -> m Bool
- setStackPageUseUnderline :: (MonadIO m, IsStackPage o) => o -> Bool -> m ()
- constructStackPageVisible :: (IsStackPage o, MonadIO m) => Bool -> m (GValueConstruct o)
- getStackPageVisible :: (MonadIO m, IsStackPage o) => o -> m Bool
- setStackPageVisible :: (MonadIO m, IsStackPage o) => o -> Bool -> m ()

# Exported types

newtype StackPage Source #

Memory-managed wrapper type.

Constructors

StackPage (ManagedPtr StackPage) |

#### Instances

Instances details

Eq StackPage Source # |
Instance details Defined in GI.Gtk.Objects.StackPage Methods (==) :: StackPage -> StackPage -> Bool Source # (/=) :: StackPage -> StackPage -> Bool Source #
GObject StackPage Source # |
Instance details Defined in GI.Gtk.Objects.StackPage
ManagedPtrNewtype StackPage Source # |
Instance details Defined in GI.Gtk.Objects.StackPage Methods toManagedPtr :: StackPage -> ManagedPtr StackPage Source #
TypedObject StackPage Source # |
Instance details Defined in GI.Gtk.Objects.StackPage Methods glibType :: IO GType Source #
HasParentTypes StackPage Source # |
Instance details Defined in GI.Gtk.Objects.StackPage
IsGValue (Maybe StackPage) Source # | Convert `StackPage` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.StackPage Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe StackPage -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe StackPage) Source #
type ParentTypes StackPage Source # |
Instance details Defined in GI.Gtk.Objects.StackPage type ParentTypes StackPage = '[Object, Accessible]

class (GObject o, IsDescendantOf StackPage o) => IsStackPage o Source #

Type class for types which can be safely cast to `StackPage`, for instance with `toStackPage`.

#### Instances

Instances details

(GObject o, IsDescendantOf StackPage o) => IsStackPage o Source # |
Instance details Defined in GI.Gtk.Objects.StackPage

toStackPage :: (MonadIO m, IsStackPage o) => o -> m StackPage Source #

Cast to `StackPage`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

announce, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, resetProperty, resetRelation, resetState, runDispose, stealData, stealQdata, thawNotify, unref, updateNextAccessibleSibling, updatePlatformState, updateProperty, updateRelation, updateState, watchClosure.

#### Getters

getAccessibleId, getAccessibleParent, getAccessibleRole, getAtContext, getBounds, getChild, getData, getFirstAccessibleChild, getIconName, getName, getNeedsAttention, getNextAccessibleSibling, getPlatformState, getProperty, getQdata, getTitle, getUseUnderline, getVisible.

#### Setters

setAccessibleParent, setData, setDataFull, setIconName, setName, setNeedsAttention, setProperty, setTitle, setUseUnderline, setVisible.

## getChild

stackPageGetChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> m Widget | Returns: the child to which `self` belongs

Returns the stack child to which `self` belongs.

## getIconName

stackPageGetIconName Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> m (Maybe Text) | Returns: The value of the StackPage:iconName property

Returns the icon name of the page.

## getName

stackPageGetName Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> m (Maybe Text) | Returns: The value of the StackPage:name property

Returns the name of the page.

## getNeedsAttention

stackPageGetNeedsAttention Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> m Bool | Returns: The value of the StackPage:needsAttention property.

Returns whether the page is marked as “needs attention”.

## getTitle

stackPageGetTitle Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> m (Maybe Text) | Returns: The value of the StackPage:title property

Gets the page title.

## getUseUnderline

stackPageGetUseUnderline Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> m Bool | Returns: The value of the StackPage:useUnderline property

Gets whether underlines in the page title indicate mnemonics.

## getVisible

stackPageGetVisible Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> m Bool | Returns: `True` if `page` is visible

Returns whether `page` is visible in its `GtkStack`.

This is independent from the Widget:visible property of its widget.

## setIconName

stackPageSetIconName Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> Text | `setting`: the new value to set
-> m () |

Sets the icon name of the page.

## setName

stackPageSetName Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> Text | `setting`: the new value to set
-> m () |

Sets the name of the page.

## setNeedsAttention

stackPageSetNeedsAttention Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> Bool | `setting`: the new value to set
-> m () |

Sets whether the page is marked as “needs attention”.

## setTitle

stackPageSetTitle Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> Text | `setting`: the new value to set
-> m () |

Sets the page title.

## setUseUnderline

stackPageSetUseUnderline Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> Bool | `setting`: the new value to set
-> m () |

Sets whether underlines in the page title indicate mnemonics.

## setVisible

stackPageSetVisible Source #

Arguments

:: (HasCallStack, MonadIO m, IsStackPage a) |
=> a | `self`: a `GtkStackPage`
-> Bool | `visible`: The new property value
-> m () |

Sets whether `page` is visible in its `GtkStack`.

# Properties

## child

The child that this page is for.

constructStackPageChild :: (IsStackPage o, MonadIO m, IsWidget a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`child`” property. This is rarely needed directly, but it is used by `new`.

getStackPageChild :: (MonadIO m, IsStackPage o) => o -> m Widget Source #

Get the value of the “`child`” property. When overloading is enabled, this is equivalent to

    get stackPage #child

## iconName

The icon name of the child page.

constructStackPageIconName :: (IsStackPage o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`icon-name`” property. This is rarely needed directly, but it is used by `new`.

getStackPageIconName :: (MonadIO m, IsStackPage o) => o -> m (Maybe Text) Source #

Get the value of the “`icon-name`” property. When overloading is enabled, this is equivalent to

    get stackPage #iconName

setStackPageIconName :: (MonadIO m, IsStackPage o) => o -> Text -> m () Source #

Set the value of the “`icon-name`” property. When overloading is enabled, this is equivalent to

    set stackPage [ #iconName := value ]

## name

The name of the child page.

constructStackPageName :: (IsStackPage o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`name`” property. This is rarely needed directly, but it is used by `new`.

getStackPageName :: (MonadIO m, IsStackPage o) => o -> m (Maybe Text) Source #

Get the value of the “`name`” property. When overloading is enabled, this is equivalent to

    get stackPage #name

setStackPageName :: (MonadIO m, IsStackPage o) => o -> Text -> m () Source #

Set the value of the “`name`” property. When overloading is enabled, this is equivalent to

    set stackPage [ #name := value ]

## needsAttention

Whether the page requires the user attention.

This is used by the `StackSwitcher` to change the appearance of the corresponding button when a page needs attention and it is not the current one.

constructStackPageNeedsAttention :: (IsStackPage o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`needs-attention`” property. This is rarely needed directly, but it is used by `new`.

getStackPageNeedsAttention :: (MonadIO m, IsStackPage o) => o -> m Bool Source #

Get the value of the “`needs-attention`” property. When overloading is enabled, this is equivalent to

    get stackPage #needsAttention

setStackPageNeedsAttention :: (MonadIO m, IsStackPage o) => o -> Bool -> m () Source #

Set the value of the “`needs-attention`” property. When overloading is enabled, this is equivalent to

    set stackPage [ #needsAttention := value ]

## title

The title of the child page.

constructStackPageTitle :: (IsStackPage o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`title`” property. This is rarely needed directly, but it is used by `new`.

getStackPageTitle :: (MonadIO m, IsStackPage o) => o -> m (Maybe Text) Source #

Get the value of the “`title`” property. When overloading is enabled, this is equivalent to

    get stackPage #title

setStackPageTitle :: (MonadIO m, IsStackPage o) => o -> Text -> m () Source #

Set the value of the “`title`” property. When overloading is enabled, this is equivalent to

    set stackPage [ #title := value ]

## useUnderline

If set, an underline in the title indicates a mnemonic.

constructStackPageUseUnderline :: (IsStackPage o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`use-underline`” property. This is rarely needed directly, but it is used by `new`.

getStackPageUseUnderline :: (MonadIO m, IsStackPage o) => o -> m Bool Source #

Get the value of the “`use-underline`” property. When overloading is enabled, this is equivalent to

    get stackPage #useUnderline

setStackPageUseUnderline :: (MonadIO m, IsStackPage o) => o -> Bool -> m () Source #

Set the value of the “`use-underline`” property. When overloading is enabled, this is equivalent to

    set stackPage [ #useUnderline := value ]

## visible

Whether this page is visible.

constructStackPageVisible :: (IsStackPage o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`visible`” property. This is rarely needed directly, but it is used by `new`.

getStackPageVisible :: (MonadIO m, IsStackPage o) => o -> m Bool Source #

Get the value of the “`visible`” property. When overloading is enabled, this is equivalent to

    get stackPage #visible

setStackPageVisible :: (MonadIO m, IsStackPage o) => o -> Bool -> m () Source #

Set the value of the “`visible`” property. When overloading is enabled, this is equivalent to

    set stackPage [ #visible := value ]